﻿	# ~~ Imports ~~
import es, os, popuplib, playerlib, langlib
	# ~~~~~~~~~~~

	# ~~ Variable Script & Version ~~
__version__ = '2.0'
es.ServerVar("admin_send_msg", __version__).makepublic()
	# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

	# ~~ Infos EventScripts ~~
info = es.AddonInfo()
info.name = "admin_send_msg"
info.version = __version__
info.author = "TiTi"
info.url = "http://csswarner.easyforum.fr"
	# ~~~~~~~~~~~~~~~~~~~~~~~~~

lang_script = es.ServerVar("lang_script_cfg")
list_admin_send_msg = es.ServerVar("list_admin_send_msg_cfg")
affichage_chat = es.ServerVar("affichage_chat_cfg")
affichage_centre = es.ServerVar("affichage_centre_cfg")
affichage_haut = es.ServerVar("affichage_haut_cfg")

messages = langlib.Strings(es.getAddonPath("admin_send_msg") + "/admin_send_msg.ini")

liste_choix = {}
messagelist = []
tokens = {}

def load():
	es.log("Chargement du script admin_send_msg ...")
	es.server.cmd("es_xmexec ../addons/eventscripts/admin_send_msg/admin_send_msg.cfg")
	if os.path.isfile(os.getcwd() + "/cstrike/addons/eventscripts/admin_send_msg/admin_send_msg_messages.txt"):
		global messagelist
		fichier = open(os.getcwd() + "/cstrike/addons/eventscripts/admin_send_msg/admin_send_msg_messages.txt", "r")
		messagelist = fichier.readlines()
		fichier.close()
	else:
		es.log("Erreur lors du chargement de script admin_send_msg, il manque le fichier admin_send_msg.txt")
		es.msg("#multi", "#default[#lightgreenAdmin Send Message#default] #greenErreur #default: #lightgreenFichier admin_send_msg.txt introuvable")
	es.regsaycmd("!msg", "admin_send_msg/MenuJoueur")
	es.msg("#multi", "#default[#lightgreenAdmin Send Message#default] #greenScript Load")

def MenuJoueur():
	userid = int(es.getcmduserid())
	list_admin = str(list_admin_send_msg).split(",")

	if es.getplayersteamid(userid) in list_admin:

		global menu_joueur

		menu_joueur = popuplib.easymenu("menu_joueur", None, MenuMessage)
		menu_joueur.settitle(messages("menu_joueur", lang=str(lang_script)))

		playerlist = es.getUseridList()
		
		for playerid in playerlist:
			menu_joueur.addoption(playerid, "%s"%es.getplayername(playerid))
		menu_joueur.send(userid)
	else:
		es.msg("#multi", messages("admin",lang=str(lang_script)))

def MenuMessage(userid, choix, popupnom):

	global liste_choix
	liste_choix[userid] = choix

	global messagelist

	global menu_message

	tokens["username"] = es.getplayername(choix)

	menu_message = popuplib.easymenu("menu_message", None, SendMessage)
	menu_message.settitle(messages("menu_message", opts=tokens, lang=str(lang_script)))

	for message in messagelist:
		menu_message.addoption(message, "%s"%message)
	menu_message.send(userid)

def SendMessage(userid, message, popupnom):

	global liste_choix
	cible = liste_choix[userid]

	if affichage_chat == 1:
		tokens["username"] = es.getplayername(userid)
		tokens["message"] = message
		es.tell(cible, "#multi", messages("player_message_chat", opts=tokens, lang=str(lang_script)))
	if affichage_centre == 1:
		es.centertell (cible, "%s : %s"%(es.getplayername(cible),message))
	if affichage_haut == 1:
		es.toptext(cible, 5, "#red", "%s"%message)
	tokens["username"] = es.getplayername(cible)
	es.tell(userid, "#multi", messages("admin_message",opts=tokens, lang=str(lang_script)))

def unload():
	es.log("Dechargement du script admin_send_msg ...")
	es.unregsaycmd("!msg")
	if popuplib.exists("menu_joueur"):
		popuplib.unsendname("menu_joueur", playerlib.getUseridList("#all"))
		menu_joueur.delete()
	if popuplib.exists("menu_message"):
		popuplib.unsendname("menu_message", playerlib.getUseridList("#all"))
		menu_message.delete()
	
	es.msg("#multi", "#default[#lightgreenAdmin Send Message#default] #greenScript Unload")